shares-admin doesn't "see" NFS and SMB installed (no support for Upstart jobs)

Bug #574046 reported by Daan Berg on 2010-05-02
92
This bug affects 14 people
Affects Status Importance Assigned to Milestone
GST
Won't Fix
Medium
gnome-system-tools (Ubuntu)
High
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
High
Unassigned

Bug Description

When running shares-admin for the first time and you haven't installed NFS, SMB or both yet, it will ask you to do so:
"You need to install at least either Samba or NFS in order to share your folders."

When I click "Install services" when running the app for the first time it will go ahead and do that, but after installing it will return to this screen. Clicking it again makes the screen disappear for a moment and then come back up.
When clicking "Close", and after that attempting to make a shared folder, there is only the option to make an NFS-share, not a Samba-share.

Rebooting and re-installing NFS / Samba / Xubuntu completely has no effect.

Release: Xubuntu 10.04 LTS
Version of package: The one that came with the compilation of Xubuntu 10.04 LTS - no updates have been installed yet
Computer: IBM NetVista 6341-75G, 128MB RAM, 1.5GHz Intel Pentium Celeron
Connection to network/internet: direct LAN cable into network switch

Daan Berg (daanbrg) wrote :

I have made an accompanying thread on the official Ubuntu Forums. It can be found at the following location:
http://ubuntuforums.org/showthread.php?t=1469874

I have noticed that nobody here in the community has even tried helping me out, or showing that he/she has at least read the information and is thinking about it.
Is it because there are so many users on Launchpad or is this issue non-important?

I just want my home server without having to spend lots of money on a legal copy of Windows Server!

Daan Berg (daanbrg) wrote :

Installed Windows XP and did it that way. Goodbye, Xubuntu!

Changed in ubuntu:
assignee: nobody → Daan Berg (daanbrg)
status: New → Fix Released
garybrlow (garybrlow) wrote :

I was actually wondering where shares-admin went and after a few days of Googling I found your post. I actually though I was the only one having this problem.

I think its an outstanding bug. This used to work out of the box before but it seems that development is not going to continue on the direction of shares-admin since the next update of XFCE 4.8 (hopefully this june according to the xfce website) especially thunar will have network shares built in. This might be the reason for excluding shares-admin from the system menu but still exists for transition purposes.

Shared-folders will actually install the needed files and programs but because of the bug it will only allow you to create the workgroup name which will be written/saved to the SAMBA configuration file located in "/etc/samba/samba.conf". Sharing actual folders does not seem to work. To share folders you have manually write and save the configuration to samba.conf. You can use and edit the CDROM example in that files to create your own read only configuration setting. For more configuration setting visit the official samba site at http://www.samba.org.

Meanwhile to fill in the gap of actually browsing the network shares in thunar until 4.8, a combination of Gigolo and gvfs-fuse will do the trick. Access the shares via Gigolo and gvfs-fuse will open the share in thunar. Installation of gvs-fuse is required,after that a restart and then browse away. File operations depend on sharing permission settings via Samba. This is actually the next best thing to native file-share browsing as provided by gnome or kde.

Hell Pé (hellpe) on 2010-05-12
Changed in ubuntu:
status: Fix Released → New
assignee: Daan Berg (daanbrg) → nobody
Hell Pé (hellpe) on 2010-05-26
affects: ubuntu → gnome-system-tools (Ubuntu)
summary: - shares-admin doesn't "see" NFS and SMB installed
+ [shares-admin] shares-admin doesn't "see" NFS and SMB installed

That's because Samba and NFS no longer use SysV boot script, but Upstart jobs. Thus, they are not detected even if they are installed. We need a temporary fix in Lucid for that, possibly a ugly hack.

In the long term, though, that's going to be a problem: we need minimal support for Upstart jobs, else shares-admin won't work.

Changed in gnome-system-tools (Ubuntu):
importance: Undecided → High
status: New → Triaged
summary: - [shares-admin] shares-admin doesn't "see" NFS and SMB installed
+ shares-admin doesn't "see" NFS and SMB installed (no support for Upstart
+ jobs)
John Baptist (jepst79) wrote :

Daan: is there a reason you didn't want to use nautilus-share?

Jerzy Jalocha N (jjalocha) wrote :

Since Daan seems to have migrated definitively to Windows, I will try to answer. I experience this problem under Xubuntu, so, there are no nautilus components installed on my computer, and I wouldn't want to install any. As garybrlow explained on post 3, this worked perfectly in previous versions.

Yes. I did not know about *nautilus-share* and I was more familiar with *
shares-admin* since it is still being used by the main Ubuntu-project.

2010/7/30 John Baptist <email address hidden>

> Daan: is there a reason you didn't want to use nautilus-share?
>
> --
> shares-admin doesn't "see" NFS and SMB installed (no support for Upstart
> jobs)
> https://bugs.launchpad.net/bugs/574046
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Stephen Parry (sgparry) wrote :

Am I right in thinking that Nautilus shares are effectively 'user level' and hence are only available whilst that user is logged in, whereas shares-admin edits /etc/samba/smb.conf, providing 'system level' shares? If this is so then it makes a stronger case for having shares-admin or a replacement working. I've managed by manually hacking smb.conf before, but it is a pain...

Milan Bouchet-Valat (nalimilan) wrote :

You're right, but that doesn't change much of the problem: the fix is here, waiting for somebody to upload a new version to Lucid. But Ubuntu devs are quite busy, and a GUI to set up "system level shares" are not considered as the highest priority.

John Baptist (jepst79) wrote :

Wouldn't it be easier just to add a check-box to the dialog box in nautilus-share that says "Allow sharing when user is logged off."? It seems that a whole separate GUI is redundant.

jhansonxi (jhansonxi) wrote :

This bug is probably a duplicate of bug #573450.

Is there some way I can merge it?

2010/9/2 jhansonxi <email address hidden>

> This bug is probably a duplicate of bug #573450.
>
> --
> shares-admin doesn't "see" NFS and SMB installed (no support for Upstart
> jobs)
> https://bugs.launchpad.net/bugs/574046
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Shalmainia (secondsight) wrote :

Can still replicate this bug on Ubuntu 10.10 Maverick Meerkat at https://bugs.launchpad.net/bugs/653914
Thanks for marking it as a duplicate for me, I did search but must have used incorrect search terminology.

discord (colin.williams) wrote :

I'm having a similar problem in 10.10, after installing samba and nfs, when adding a shared folder, i only see share through NFS listed, not samba :(

Daniel Holbach (dholbach) wrote :

I forwarded the bug upstream and try to get input on the patch.

tags: added: patch-forwarded-upstream
Changed in gst:
importance: Unknown → Medium
status: Unknown → New
Martin Pitt (pitti) wrote :

All uploaded to lucid/maverick/natty. Thanks Milan!

Changed in gnome-system-tools (Ubuntu Maverick):
status: New → In Progress
Changed in gnome-system-tools (Ubuntu Lucid):
status: New → In Progress
tags: added: regression-release
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-system-tools - 2.32.0-0ubuntu2

---------------
gnome-system-tools (2.32.0-0ubuntu2) natty; urgency=low

  [ Milan Bouchet-Valat ]
  * Add 91_shares_services_detection.patch: Work around missing Upstart
    support by checking for installed files instead of SysV init scripts which
    no longer exist. (LP: #574046)
 -- Martin Pitt <email address hidden> Fri, 26 Nov 2010 11:53:58 +0100

Changed in gnome-system-tools (Ubuntu Natty):
status: Triaged → Fix Released
Changed in gst:
status: New → Confirmed

Accepted gnome-system-tools into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gnome-system-tools (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in gnome-system-tools (Ubuntu Maverick):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted gnome-system-tools into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

KeithG (grider-4) wrote :

This version did not work for me. I am running 10.10 - fully updated and was running gnome-system-tools 2.32.0. Still not recognizing that Samba was installed and running. To get it to work I had to create a sym link. "sudo ln -s /etc/init.d/smbd /etc/init.d/samba". Will this change again when samba4 goes mainstream?

KeithG: What version exactly? Both are 2.32.0, what we need is the -ubuntu part. It works here on Maverick. (Note you need to click the unlock button after installing packages, which can be confusing - even for me...)

Sean Fisk (seanfisk) wrote :

Enabling the lucid-proposed repos and updating gnome-system-tools worked for me. Thanks!

Martin Pitt (pitti) on 2010-12-23
tags: added: verification-done
removed: verification-needed
jhansonxi (jhansonxi) wrote :

The proposed package seems to be working on Ubuntu 10.04 (Lucid Lynx) i386 without the previous symlink fix.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-system-tools - 2.30.0-0ubuntu3

---------------
gnome-system-tools (2.30.0-0ubuntu3) lucid-proposed; urgency=low

  [ Milan Bouchet-Valat ]
  * Add 91_shares_services_detection.patch: Work around missing Upstart
    support by checking for installed files instead of SysV init scripts which
    no longer exist. (LP: #574046)
 -- Martin Pitt <email address hidden> Fri, 26 Nov 2010 11:47:01 +0100

Changed in gnome-system-tools (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-system-tools - 2.32.0-0ubuntu1.1

---------------
gnome-system-tools (2.32.0-0ubuntu1.1) maverick-proposed; urgency=low

  [ Milan Bouchet-Valat ]
  * Add 91_shares_services_detection.patch: Work around missing Upstart
    support by checking for installed files instead of SysV init scripts which
    no longer exist. (LP: #574046)
 -- Martin Pitt <email address hidden> Fri, 26 Nov 2010 11:53:58 +0100

Changed in gnome-system-tools (Ubuntu Maverick):
status: Fix Committed → Fix Released
Changed in gst:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.